import os

from django.db import migrations, models

sql_drop_triggers = """
DROP TRIGGER IF EXISTS set_draftinvoice_line_amount_trg ON invoicing_draftinvoiceline;
DROP TRIGGER IF EXISTS set_invoice_line_amount_trg ON invoicing_invoiceline;
"""

with open(
    os.path.join(
        os.path.dirname(os.path.realpath(__file__)),
        '..',
        'sql',
        'invoice_triggers_for_amount.sql',
    )
) as sql_file:
    sql_triggers = sql_file.read()


sql_forwards = sql_triggers


class Migration(migrations.Migration):
    dependencies = [
        ('invoicing', '0051_journal_lines'),
    ]

    operations = [
        migrations.RunSQL(sql=sql_drop_triggers, reverse_sql=migrations.RunSQL.noop),
        migrations.AlterField(
            model_name='draftinvoiceline',
            name='quantity',
            field=models.IntegerField(),
        ),
        migrations.AlterField(
            model_name='invoiceline',
            name='quantity',
            field=models.IntegerField(),
        ),
        migrations.RunSQL(sql=sql_forwards, reverse_sql=migrations.RunSQL.noop),
    ]
